CamelSeekableSubstream
3
CAMEL Library

# CamelSeekableSubstream

## Synopsis

    struct              CamelSeekableSubstream;
    CamelStream *       camel_seekable_substream_new        (CamelSeekableStream *parent_stream,
                                                             off_t start,
                                                             off_t end);

## Description

## Details

### struct CamelSeekableSubstream

    struct CamelSeekableSubstream {
    	CamelSeekableStream parent_object;

    	/*  --**-- Private fields --**--  */
    	CamelSeekableStream *parent_stream;
    };

### camel_seekable_substream_new ()

    CamelStream *       camel_seekable_substream_new        (CamelSeekableStream *parent_stream,
                                                             off_t start,
                                                             off_t end);

Creates a new CamelSeekableSubstream that references the portion of `parent_stream` from `inf_bound` to `sup_bound`. (If `sup_bound` is CAMEL_STREAM_UNBOUND, it references to the end of stream, even if the stream grows.)

While the substream is open, the caller cannot assume anything about the current position of `parent_stream`. After the substream has been closed, `parent_stream` will stabilize again.

`parent_stream` :

  a CamelSeekableStream object

`start` :

  a lower bound

`end` :

  an upper bound

Returns :

  the substream